Egret社区

[Bug处理中] 更新引擎后5.0.15版本egret build 报错

2020-1-10 16:34
9392
产品 Egret Engine 版本 5.0.15
复现概率 100% 平台 Windows Egret Engine 5.2.33
复现步骤 新间一项目用5.0.15引擎版本新建就行,直接编译报错(5.0.15t和5.0.14都是)
问题描述 egret launcher更新后,使用5.0.15及之前的版本,在egret.bulid和egret publish时会报错

nodejs版本:发0.15.3
egret Wing版本当前最新:4.1.6 2018891040
错误代码 您安装的最新引擎版本为 5.2.33
当前项目使用版本为 5.0.15
您可以执行 egret upgrade 命令升级项目
正在编译项目...
(node:6480) UnhandledPromiseRejectionWarning: Error: ENOENT: no such file or directory, open 'C:\Users\wujie\AppData\Roaming\Egret\engine\5.0.15\tools\error_code.json'
(node:6480) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 1)
BUG截图
因为老项目有的还在用5.0.15的引擎版本,麻烦查看解决下,或者提供个本地解决的方法,谢谢!
分享到 :
0 人收藏

2 个回复

倒序浏览
app小王子  社区管理员 | 2020-1-10 17:27:30
修复下引擎试试
tardis  登堂入室 | 2020-1-12 16:13:48

谢谢回复,我试过了,修复引擎、重装5.0.15引擎、重装EgretLauncher-1.0.64、重装EgretLauncher-1.0.67、EgretLauncher-1.1.4等版本都不行,编译我用了5.2.4和5.2.20等较新的引擎版本的项目都能正常编译。
不过今天试了重装了EgretLauncher-1.0.69的版本,编译没有报错了。
还有我发现这个报错,不是完全让编译失败,只是有一定概率失败。希望这些信息对你们分析问题有一定作用。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部